<template>
  <div class="flex flex-wrap">
    <div v-for="(v, i) in reviews" :key="i"  class="w-full">
      <div class="w-full card border border-red-50 mb-2">
        <div class="card-body">
          <div class="flex flex-row justify-start items-center">
            <figure class="w-8 h-8 border rounded-xl mr-2">
              <img :src="photoUrl" alt="" />
            </figure>

            <h2 class="text-md">{{ v.author_name }}</h2>
          </div>

          <TheStar :rating="v.rating" />
          <hr class="my-2" />

          <p>{{ v.text }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { computed } from 'vue'
const { reviews } = defineProps(['reviews'])
const config = useRuntimeConfig()

const img = useImage()
const photoUrl = computed(() => {
  return img(`${config.public.apiBase}/images/default.png`, { width: 100 })
})
</script>
